### Function

# Atk KeySnoopFunc

#### Declaration

    gint
    (* AtkKeySnoopFunc) (
      AtkKeyEventStruct* event,
      gpointer user_data
    )

#### Description [src]

An `AtkKeySnoopFunc` is a type of callback which is called whenever a key event occurs, if registered via atk_add_key_event_listener. It allows for pre-emptive interception of key events via the return code as described below.

#### Parameters

`event`

  Type: `AtkKeyEventStruct`

  An AtkKeyEventStruct containing information about the key event for which notification is being given.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  A block of data which will be passed to the event listener, on notification.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

TRUE (nonzero) if the event emission should be stopped and the event discarded without being passed to the normal GUI recipient; FALSE (zero) if the event dispatch to the client application should proceed as normal.

see `atk_add_key_event_listener()`.